Page MenuHomePhabricator

$wgCollectionFormatToServeURL references dead okawix servers
Closed, ResolvedPublic

Details

Reference
bz64359

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:16 AM
bzimport added a project: Collection.
bzimport set Reference to bz64359.
bzimport added a subscriber: Unknown Object (MLST).
saper added a comment.Apr 26 2014, 1:22 PM

This was added in r67606 (https://www.mediawiki.org/wiki/Special:Code/MediaWiki/67606) as an optional support for Okawix formats (it lives now as 93e009a802151bfee1ecafde12d79c6aa2c0a37e)

If Okawix rendering is dead, we should probably remove the support altogether.

saper added a comment.Apr 26 2014, 1:29 PM

Seems like they wanted to move to ZIM (http://blog.wikiwix.com/en/2011/04/03/okawix-for-pc-soon-to-work-with-zim/comment-page-1/#comment-8042).

Anyway, torrent server is not reachable (http://91.121.92.45/zeno/pl.wikipedia.okawix.torrent), so may be the project is dead?

This should not be implemented or removed:

  • Okawix does not use any clearly open defined format
  • Okawix solution is based on an old version of the ZIM format packed in some kind of tar file.
  • Okawix is neither maintained nor further developed
  • Okawix is the only reader for its own format
  • Okawix format does not provide any advantages in comparison to the existing ZIM format.

Change 129929 had a related patch set uploaded by saper:
Remove okawix/ZENO support

https://gerrit.wikimedia.org/r/129929

Change 129929 merged by jenkins-bot:
Remove okawix/ZENO support

https://gerrit.wikimedia.org/r/129929

Merged, reopen if there are other remnants in the code.